# PEFORMANCE LAB: CONTENT COPY CHAR-BY-CHAR

File I/O – putc()

**“Content Copy”**


* Open an existing file in read mode.
* Open a new file in write mode.
* Copy the existing file into the new file **char-by-char**. 
* Close the existing file.
* Close and open the new file in *read* mode.
* Print the new file **char-by-char**.

---